<?php
!defined('ADMIN')&&die("<meta http-equiv='refresh' content=0;url='/'>");
if(ADMIN<19)Js_to("没有权限！",URL._1.D.L.D);
FN("title","商品货源对接");
global $i,$title;
_F("top");
$shuju='　　本系统的钻石数据来自于<a href="http://www.zuanshijiage.net/" target="_blank"><b class="lan">www.zuanshijiage.net</b>（02408网站旗下）</a>，<i class="red">所有商品均不需本钱</i>。如有疑问，<a target="blank" href="tencent://message/?uin=770111722&amp;Menu=yes" class="lan"><img align="absMiddle" src="http://wpa.qq.com/pa?p=4:770111722:4" border="0"> 请咨询：QQ 770111722</a> ( 微信号码：qq770111722 )。';
?>
<script>
function dr(a){
	if(!a){
		tanchuang('请稍后','数据处理中...');return tuitan(5);
	}
	tanchuang('请稍后...');
	$.ajax({
		url : window.location.href,
		data: "cgi=sp&aspx="+a,
		type: "POST",
		dataType: "text",
		success: function(j){
			if(j==0)j='网站目录 <i class="lan">gengxin/'+a+'.sql</i> 文件不存在！';
			if(j==1)j='导入完成！';
			if(j==2)j='网站目录 <i class="lan">gengxin/fl.sql</i> 文件不存在！';
			tanchuang('状态描述：',j);
		}
	})
}
function sp(a){
	$('.sp').show();
	$('section').hide(55);
	$('.sp ul li').width($('.sp ul').width()*.78);
	var t=$('.'+a),p=$("."+a+"_p").val(),pg=$("."+a+"_pg").val()+(a=='zs'?'':'/'+$(".j_"+a).val());
	var d="aspx="+a+"&htm="+$("."+a+"_u").val()+"&shtml="+p+"&html="+pg+"&cgi=sp&asp="+$("."+a+"_n").val();
	$.ajax({
		url : window.location.href,
		data: d,
		type: "POST",
		dataType: "json",
		//dataType: "text",
		success: function(j){
			if(j.ok==2)tanchuang('问题描述：',j.n);
			//tanchuang('问题描述：',j);
			$('.sp h1').html(j.ok==1?'数据更新完成！':'数据更新中，请勿刷新页面或关闭浏览器！');
			$('.sp .n').html(j.n);
			$('.sp .d').html(j.d);
			$('.sp .f').html(j.f);
			$('.sp .m').html(j.m);
			$('.sp .k').html(j.k);
			$('.sp ul li div').width(j.k);
			$("."+a+"_pg").val(j.p);
			if(pg*p<j.n)sp(a);
	},error:function(j){
		$('.sp h1').html('数据获取失败，请重新操作！');
		tanchuang('错误：'+j.status+'！'+d);
	}});
}
</script>
<tt id="tw"></tt>
<fieldset>
<legend><h1><b><var><img src="system/img/left.gif" /></var><dfn class="hide"><img src="system/img/right.gif" /></dfn></b>　<?php echo $title?></h1></legend>
<tt style="padding-top:1px"></tt>
<?php
if(_3){
?>
<form action="" method="post" class="form">
<tt style="height:10px"></tt>
<div class="">
<ul>
<dt>PC版展位:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_0?>" size="4" /> PC版首页文章列表插入位置，0为不展示。</li></dd>
<tt></tt></ul>
<ul>
<dt>手机展位:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_1?>" size="4" /> 手机版首页文章列表插入位置，0为不展示。</li></dd>
<tt></tt></ul>
<ul>
<dt>钻石加价:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_2?>" size="4" /> 倍 <i onclick="tanchuang('关于钻石加价','钻石专项对接数据加价规则为进货价格乘以当前设置倍数，重新设置后，对所有此项目钻石数据价格即刻生效。')"><img src="system/img/hlp_1.png" ></i></li></dd>
<tt></tt></ul>
<ul>
<dt>其它加价:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_3?>" size="4" /> 倍 <i onclick="tanchuang('关于其它加价','此项为大众商品数据对接的价格设置，加价规则为进货价格乘以当前设置倍数，只对初次导入数据生效。已导入数据价格可以在<q>修改文章/商品中 - 外部商品</q>，进行单项修改。')"><img src="system/img/hlp_1.png" ></i></li></dd>
<tt></tt></ul>
<ul>
<dt>联系电话:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_4?>" size="15" /></li></dd>
<tt></tt></ul>
<ul>
<dt>微信号码:</dt>
<dd><li><input name="sp[]"  value="<?php echo SP_5?>" size="15" /></li></dd>
<tt></tt></ul>
<ul>
<dt>接口网址:</dt>
<dd><li><input name="sp[]" value="<?php echo SP_6?>" class="w5" /> <i onclick="tanchuang('关于接口网址','接口网址用于远程商品数据对接。如果无法与远程数据对接，请与开发者联系和索要对接网址。')"><img src="system/img/hlp_1.png" ></i></li></dd>
<tt></tt></ul>
<ul>
<dt>交易说明:</dt>
<dd><li><textarea rows="2" class="w7" name="sp[]"><?php echo SP_7?></textarea> <i onclick="tanchuang('关于交易说明','仅在PC版商品详情页（对应模板Aid.php）和手机版商品详情页（对应模板Bid.php）中的商品数据对接生效。')"><img src="system/img/hlp_1.png" ></i></li></dd>
<tt></tt></ul>
<ul>
<dt>钻石缓存:</dt>
<dd><li><input name="sp[]"  value="<?php echo SP_8?>" size="4"  />1为生成缓存，0为禁止缓存 <i class="red">（小于10G网站空间请勿开启缓存！）</i></li></dd>
<tt></tt></ul>
<ul class="hide">
<dt>公开数据:</dt>
<dd><li><input name="sp[]"  value="<?php echo SP_9?>" size="4" />1为公开钻石数据，0为不公开</li></dd>
<tt></tt></ul>
</div>
<tt></tt>
<input name="cgi" type="hidden" value="setting" />
<ul>
<big><input type="submit" value="提 交 设 置"/></big>
</ul>
<tt></tt>
</form>
<?php }elseif(_3==='0'){
	if($r=json_decode(A(0,SP_6),true)){
?>
<div class="fieldset" style="margin:15px 5px;"><big><samp>&#9682;</samp><span class="del">&#9681;</span> <b>关于商品的对接和销售</b><del> </del></big><div style="padding-top:5px;line-height:25px;"><?php echo @$r&&$r['api'][0]?$r['api'][0]:$shuju?></div></div>
<div class="sp">
<h1>数据获取中...</h1>
<ul>
<p>已完成 <b class="k">0</b></p>
<tt></tt>
<li>
<div>
<samp></samp>
<span></span>
</div>
</li>
<tt></tt>
<p>
共有待售商品数据<b class="n">0</b>，已导入<b class="d">0</b>，用时<b class="f">0</b>分<b class="m">0</b>秒</p>
</ul>
</div>
<section class="zs">
<p>
<b><a href="<?php echo URL._1.D?>sp/sz<?php echo HZ?>">关于接口</a></b>
<var><tt></tt></var>
修改价格、联系方式等　A.<a href="<?php echo URL._1.D?>sp/sz<?php echo HZ?>" class="inp1">接口设置</a>　B.<a class="inp2" onclick="tanchuang('关于接口的说明：','<?php echo @$r?$r['api'][1]:'本接口商品全部一手货源，最高加价率都不会超过10%，量大更优惠。当前数据与接口通讯失败，请刷新页面重新操作！'?>')">说明</a>
</p>
</section>
<style>.jian{width:20px; text-align:center;line-height:12px;border-radius:2px;color:#030;border:1px solid #030}</style>
<?php
foreach($r as $k=>$v){
	if($v[0]=='3')$db->Q('TRUNCATE '.DB.D.$k);
	if($k!='api'&&$v[0]=='1'){
?>
<section class="<?php echo $k?>">
<p>
<b><a href="<?php echo URL.($k=='zs'?'d':($k=='new'?'index_api-08-shangcheng':'g'))?>/<?php echo $k=='new'?'':''?>" target="_blank"><?php echo $v[2]?></a> <sub>【 <?php echo $v[1]?> 】</sub></b>
<var><tt></tt></var>
<!--<?php echo $v[4]?>　 -->
A.<?php
if($k!='zs'){?>
<label><input value="1" class="jian j_<?php echo $k?>"/>级</label>
	
	
<?php }?>
<a onclick="sp('<?php echo $k?>')" class="inp1">立即更新数据</a>　
B.<a onclick="tanchuang('备注说明：','<?php echo $v[5]?>')" class="inp2">说明</a>　
C.<a href="<?php echo URL.($k=='zs'?'d':($k=='new'?'index_api-08-shangcheng':'g'))?>/<?php echo $k=='new'?'':''?>" target="_blank" class="inp2">查看</a>　
<input type="hidden" value="1" class="<?php echo $k?>_pg" />
<input type="hidden" value="<?php echo $v[1]?>" class="<?php echo $k?>_n" />
<input type="hidden" value="<?php echo $v[3]?>" class="<?php echo $k?>_u" />
<input type="hidden" value="<?php echo $v[4]?>" class="<?php echo $k?>_p" />
</p>
</section>
<?php }}}else echo '<div style="padding:10px">数据对接失败！<a href="'.URL.'admin/sp/sz/" class="inp1">接口设置</a> 或者 <i class="inp2" onclick="tanchuang(\'系统提示\',\'如果这里显示数据对接失败，请与开发者联系。\')">查看帮助</i> <a href="'.URL.'d/" target="_blank" class="inp2">查看钻石数据</a></div>';
?>
<tt></tt>
<div class="fieldset" style="margin:15px 5px;"><big><samp>&#9682;</samp><span class="del">&#9681;</span> <b>备注内容</b><del> </del></big><div style="padding-top:5px;line-height:25px;">　　请注意：为了防止出现恶意攻击行为，上面数据同步系统无法正常更新，02408网站还准备了一套数据同步方案，您可以到02408网站下载商品数据更新压缩包，下载地址：<a href="http://www.02408.com/index_yuanmaxiazai/" target="_blank" class="lan">http://www.02408.com/index_yuanmaxiazai/</a>，解压后按照说明将文件上传到服务器空间指定目录，然后执行下面的本地数据导入操作。</div></div>
<section>
<p>
<b>从本地导入钻石数据</b>
<var><tt></tt></var>
从网站sql目录中导入　A.<a class="inp1" onclick="dr('zs')">立即导入</a>　B.<a class="inp2" onclick="tanchuang('导入说明：','请将02408.com网站zs.sql文件下载，并上传到您网站空间根目录的sql文件夹中，然后执行导入操作！【02408网站站长】')">说明</a>
</p>
</section>
<section>
<p>
<b>从本地导入大众商品数据</b>
<var><tt></tt></var>
从网站sql目录中导入　A.<a class="inp1" onclick="dr('new')">立即导入</a>　B.<a class="inp2" onclick="tanchuang('导入说明：','请将02408.com网站zs.sql文件下载，并上传到您网站空间根目录的sql文件夹中，然后执行导入操作，导入成功后，再将下载的upload目录中的图片文件上传到服务器空间对应目录中！【02408网站站长】')">说明</a>
</p>
</section>
<?php
}else{
?>
<div class="fieldset" style="margin:15px 5px;"><big><samp>&#9682;</samp><span class="del">&#9681;</span> <b>关于商品的对接和销售</b><del> </del></big><div style="padding-top:5px;line-height:25px;"><?php echo $shuju?></div></div>
<section>
<p>
<b>关于接口</b>
<var><tt></tt></var>
修改价格、联系方式等　A.<a href="<?php echo URL._1.D?>sp/sz<?php echo HZ?>" class="inp1">接口设置</a>　B.<a class="inp2" onclick="tanchuang('关于接口的说明：','本接口商品全部一手货源，最高加价率都不会超过10%，量大更优惠。当前数据与接口通讯失败，请刷新页面重新操作！')">说明</a>
</p>
</section>
<section>
<p>
<b>数据同步</b>
<var><tt></tt></var>
提供的两种数据导入方法　A.<a href="<?php echo URL._1.D?>sp/0<?php echo HZ?>" class="inp1">数据导入</a>　B.<a class="inp2" onclick="tanchuang('关于接口的说明：','本接口商品全部一手货源，最高加价率都不会超过10%，量大更优惠。当前数据与接口通讯失败，请刷新页面重新操作！')">说明</a>
</p>
</section>
<section>
<p>
<b>更新下载本地钻石Excel数据</b>
<var><tt></tt></var>
A.<a class="inp1" href="<?php echo URL._1.D._2.D?>csv/" onclick="dr(0)">更新下载</a>　B.<a class="inp2" onclick="tanchuang('前端下载地址：','钻石Excel报价表下载地址： http<?php echo _Z(0)?'s':''?>://<?php echo WWW.D?>upload/csv/zuanshi_baojiabiao.csv　　&lt;a class=\'inp1\' href=\'http<?php echo _Z(0)?'s':''?>://<?php echo WWW.D?>upload/csv/zuanshi_baojiabiao.csv\'&gt;下载测试&lt;/a&gt;')">获取前端下载地址</a>
</p>
</section>
<?php
}
?>
</fieldset>
<tt style="height:10px"></tt>
<?php
_F("end");